/* Base Styles */

body {
  background: #1d2a33 url("../images/bg.jpg") no-repeat;
  background-size: cover;
}

a:hover {
  color: rgba(146, 207, 226, 0.7);
}

/* Component Styles */

.navbar {
  padding: 1rem 0;
  background: rgba(0, 0, 0, 0.25);
}
.lead {
  margin-bottom: 2.5rem;
}
.main {
  color: #fff;
  min-height: calc(100vh - 34px);
}
.foot {
  font-size: 0.85rem;
  padding: 0.5rem 0;
  color: rgba(255, 255, 255, 0.6);
}

/* Modifier Styles */

.nav-items .nav-link {
  margin: 0 1rem;
}
.navbar-brand {
  margin: 0;
}
.navbar .nav-link,
.navbar .btn {
  text-transform: uppercase;
  font-size: 0.95rem;
}
.list-group {
  color: initial;
}
.label {
  font-size: 0.88rem;
  vertical-align: top;
  margin: 3px 0 0 4px;
}

/* Button Styles */

.btn-primary {
  background: #6e9cd1;
  border-color: #417aba;
  align-self: center;
}
.btn-info {
  background-color: #038bb4;
  border-color: #103b47;
  margin-right: 5px;
}
.btn-info:hover {
  background-color: #5bc0de;
  border-color: #5bc0de;
}
.btn-light {
  color: rgba(255, 255, 255, 0.75);
  background: rgba(255, 255, 255, 0.12);
}
.btn-light:hover {
  background: rgba(255, 255, 255, 0.2);
}
.active,
.btn {
  transition: 0.4s;
}

/* Icon Styles */

.icn-logo {
  margin: 3px 3px 0;
  float: left;
}
.icn-person {
  font-size: 50px;
  border-radius: 50%;
  border: solid 2px;
  padding: 0.5rem;
}
.avatar {
  width: 35px;
  margin-right: 18px;
  border: solid 2px rgba(124, 82, 82, 0.75);
}
.options {
  display: none;
}
.list-group-item:hover .options {
  display: block;
}
.options .material-icons {
  font-size: 1.25rem;
  cursor: pointer;
  margin-left: 1rem;
  color: rgba(0, 0, 0, 0.35);
}
.options .material-icons:hover {
  color: initial;
}

.favorite-book {
  margin-top: 30px;
}

.fa {
  margin-right: 6px;
}

.fab {
  margin-right: 6px;
}

.fas {
  margin-right: 6px;
}

.far {
  margin-right: 6px;
}

/* Media Queries */

@media (min-width: 0) and (max-width: 47em) {
  .navbar {
    background: #1d2a33;
  }
  .nav-items .nav-item {
    float: none;
  }
  .nav-items .nav-link {
    padding: 0.65rem 0;
  }
  .nav-items {
    padding: 1rem 0;
    clear: left;
  }
  .navbar .btn {
    margin-left: 1rem;
  }
  .main {
    padding-top: 6rem;
  }
}

@media (min-width: 48em) {
  .navbar {
    min-height: 70px;
  }
  .navbar-nav .container {
    display: -webkit-flex;
    display: flex;
  }
  .nav-items {
    margin-right: auto;
    margin-left: auto;
  }
  .main {
    padding-top: 8rem;
  }
}
